ServerEvents.recipes(event=> {

//Recipe Removal
event.remove({id:'armoroftheages:holy_armor_head'}),
event.remove({id:'armoroftheages:holy_armor_chest'}),
event.remove({id:'armoroftheages:holy_armor_legs'}),
event.remove({id:'armoroftheages:holy_armor_feet'}),
event.remove({id:'armoroftheages:quetzalcoatl_armor_head'}),
event.remove({id:'armoroftheages:quetzalcoatl_armor_chest'}),
event.remove({id:'armoroftheages:quetzalcoatl_armor_legs'}),
event.remove({id:'armoroftheages:quetzalcoatl_armor_feet'}),
event.remove({id:'armoroftheages:exalted_aurum_armor_head'}),
event.remove({id:'armoroftheages:exalted_aurum_armor_chest'}),
event.remove({id:'armoroftheages:exalted_aurum_armor_legs'}),
event.remove({id:'armoroftheages:exalted_aurum_armor_feet'}),

//Holy Armor
//Helmet
event.smithing(
  'armoroftheages:holy_armor_head',
  'kubejs:holy_smithing_template',
  'minecraft:netherite_helmet',
  'kubejs:blessed_alloy_ingot'
),
//Chestplate
event.smithing(
  'armoroftheages:holy_armor_chest',
  'kubejs:holy_smithing_template',
  'minecraft:netherite_chestplate',
  'kubejs:blessed_alloy_ingot'
),
//Leggings
event.smithing(
  'armoroftheages:holy_armor_legs',
  'kubejs:holy_smithing_template',
  'minecraft:netherite_leggings',
  'kubejs:blessed_alloy_ingot'
),
//Boots
event.smithing(
  'armoroftheages:holy_armor_feet',
  'kubejs:holy_smithing_template',
  'minecraft:netherite_boots',
  'kubejs:blessed_alloy_ingot'
),

//Quetzalcoatl Armor
//Helmet
event.shaped(
  Item.of('armoroftheages:quetzalcoatl_armor_head', 1),
  [
    'AAA',
    'ABA',
    'CDC'
  ],
  {
    A: 'minecraft:feather',
    B: 'minecraft:netherite_helmet',
    C: 'minecraft:gold_ingot',
    D: 'minecraft:skeleton_skull'
  }
),
//Chestplate
event.shaped(
  Item.of('armoroftheages:quetzalcoatl_armor_chest', 1),
  [
    'ABA',
    'CDC',
    'AEA'
  ],
  {
    A: 'minecraft:feather',
    B: 'minecraft:bone_block',
    C: 'minecraft:gold_ingot',
    D: 'minecraft:netherite_chestplate',
    E: 'minecraft:egg'
  }
),
//Leggings
event.shaped(
  Item.of('armoroftheages:quetzalcoatl_armor_legs', 1),
  [
    'ABA',
    ' C ',
    ' D '
  ],
  {
    A: 'minecraft:bone_block',
    B: 'minecraft:netherite_leggings',
    C: 'minecraft:gold_ingot',
    D: 'minecraft:white_wool'
  }
),
//Boots
event.shaped(
  Item.of('armoroftheages:quetzalcoatl_armor_feet', 1),
  [
    '   ',
    'ABA',
    'C C'
  ],
  {
    A: 'minecraft:bone_block',
    B: 'minecraft:netherite_boots',
    C: 'minecraft:feather'
  }
),

//Exalted Aurum Armor
//Helmet
event.smithing(
  'armoroftheages:exalted_aurum_armor_head',
  'kubejs:holy_smithing_template',
  'armoroftheages:raijin_armor_head',
  'kubejs:blessed_alloy_ingot'
),
//Chestplate
event.smithing(
  'armoroftheages:exalted_aurum_armor_chest',
  'kubejs:holy_smithing_template',
  'armoroftheages:raijin_armor_chest',
  'kubejs:blessed_alloy_ingot'
),
//Leggings
event.smithing(
  'armoroftheages:exalted_aurum_armor_legs',
  'kubejs:holy_smithing_template',
  'armoroftheages:raijin_armor_legs',
  'kubejs:blessed_alloy_ingot'
),
//Boots
event.smithing(
  'armoroftheages:exalted_aurum_armor_feet',
  'kubejs:holy_smithing_template',
  'armoroftheages:raijin_armor_feet',
  'kubejs:blessed_alloy_ingot'
)

})
